## ros-indigo-smarthome-media-model 0.1.60

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)

project(smarthome_media_model)

find_package(catkin REQUIRED rosjava_build_tools)

catkin_rosjava_setup(publishMavenJavaPublicationToMavenRepository)

catkin_package()
set(PACKAGE_PATH "org/rosmultimedia/player")

install(DIRECTORY ${CATKIN_DEVEL_PREFIX}/${CATKIN_GLOBAL_MAVEN_DESTINATION}/${PACKAGE_PATH}/${PROJECT_NAME}/
    DESTINATION ${CATKIN_GLOBAL_MAVEN_DESTINATION}/${PACKAGE_PATH}/${PROJECT_NAME})

=== debian/changelog ===
ros-indigo-smarthome-media-model (0.1.60-0trusty) trusty; urgency=high

  * Rename package to smarthome_media_model
  * Add license
  * Contributors: Erwan Le Huitouze

 -- Erwan Le Huitouze <erwan.lehuitouze@gmail.com>  Mon, 30 May 2016 22:00:00 -0000

ros-indigo-smarthome-media-model (0.1.52-0trusty) trusty; urgency=high

  * Apply new package architecture
  * Contributors: Erwan Le Huitouze

 -- Erwan Le Huitouze <erwan.lehuitouze@gmail.com>  Sat, 21 Nov 2015 17:13:00 -0000

ros-indigo-smarthome-media-model (0.1.48-0trusty) trusty; urgency=high

  * Update gradle & dependencies
  * Contributors: Erwan Le Huitouze

 -- Erwan Le Huitouze <erwan.lehuitouze@gmail.com>  Fri, 16 Oct 2015 22:00:00 -0000

ros-indigo-smarthome-media-model (0.1.47-0trusty) trusty; urgency=high

  * Update headers
  * Contributors: Erwan Le Huitouze

 -- Erwan Le Huitouze <erwan.lehuitouze@gmail.com>  Tue, 18 Aug 2015 22:00:00 -0000

ros-indigo-smarthome-media-model (0.1.10-0trusty) trusty; urgency=high

  * Update package file
  * Contributors: Erwan Le Huitouze

 -- Erwan Le Huitouze <erwan.lehuitouze@gmail.com>  Sun, 03 May 2015 22:00:00 -0000

ros-indigo-smarthome-media-model (0.1.9-0trusty) trusty; urgency=high

  * Add package
  * Contributors: Erwan Le Huitouze

 -- Erwan Le Huitouze <erwan.lehuitouze@gmail.com>  Sat, 04 Apr 2015 22:00:00 -0000

=== debian/control ===
Source: ros-indigo-smarthome-media-model
Section: misc
Priority: extra
Maintainer: Erwan Le Huitouze <erwan.lehuitouze@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin, ros-indigo-rosjava-build-tools
Homepage: https://support.tactfactory.com/projects/medialfred/wiki/Wiki
Standards-Version: 3.9.2

Package: ros-indigo-smarthome-media-model
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, 
Description: This package is Media model for RosJava.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-smarthome-media-model//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
